import request, { ExtraConfig } from '/@/utils/request';

/**
 * @description 获取AI对话分组树
 **/
export const getSceneGroupTreeByPost = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/group/get_scene_group_tree`,
		method: 'post',
		params: {},
		data: {},

		...extraData,
	});

/**
 * @description 更新分组信息
 * @param {FormData} params
 **/
export const updateSceneGroupInfoByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/group/update_scene_group_info`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
